# _fastlane_ Core Contributor Expectations

We believe that our most valuable resource is the passionate community members who keep _fastlane_ running. We are always looking for active, enthusiastic members of the _fastlane_ community to become core contributors. We hope to harness the diverse experiences of our community to optimize _fastlane_ as the defacto tool to deploy betas and releases for iOS and Android apps.

## How does one become a core contributor?
Contributors who have displayed lasting commitment to the evolution and maintenance of _fastlane_ will be invited to become core contributors. For instance, contributors who:
- Love to help out other users with issues on GitHub
- Continue to make _fastlane_ a stable product and encourage features aligned with the [_fastlane_ vision](https://github.com/fastlane/fastlane/blob/master/VISION.md)


## As core contributors, we:
- Review pull requests using the "Review Changes" feature in Github
- Merge pull requests we review, except for PRs where the author has push access. Push access to _fastlane_ repos is noted in Github with the `Member` tag. Merge PRs using the "Squash and Merge" feature in Github
- Respond to issues and help others
- Own regressions caused by our own contributions and PR approvals
- Maintain consistent coding standards
- Inform maintainers when critical fixes are merged so a release can be prepared
- Identify other _fastlane_ community members who would be effective core contributors
- Make _fastlane_ the best open source tool and community out there


## While doing these things, we make sure to:
- Ensure that new contributions fit into the [_fastlane_ vision](https://github.com/fastlane/fastlane/blob/master/VISION.md)
- Adhere to the [_fastlane_ Code of Conduct](https://github.com/fastlane/fastlane/blob/master/CODE_OF_CONDUCT.md)
- Maintain backwards compatibility
- Keep external dependencies to a minimum
- Keep test coverage high and ensure up-to-date documentation

## Pull Request Ownership:
We work in a high-trust environment which implies that anyone and everyone is able to merge pull requests from the community. If the PR reviewer feels strongly about seeing a PR to completion, they should assign it to themselves and request necessary changes.

## Adding Dependencies:
We want to keep _fastlane_ slim and robust. Please avoid adding new dependencies to the code base unless it is necessary. In the event that a PR does add a dependency, please ping a member of the _fastlane_ team to approve the pull request.

## Being friendly and supportive

__Most Importantly__, our community prides itself in our supportive and friendly attitude. Above all else, we are always:

- Polite
- Friendly
- Having fun
- Encouraging the use of emojis 🚀
