describe Fastlane do
  describe Fastlane::FastFile do
    describe "pilot Integration" do
      it "can use a generated changelog as release notes" do
        values = Fastlane::FastFile.new.parse("lane :test do
          # changelog_from_git_commits sets this lane context variable
          Actions.lane_context[SharedValues::FL_CHANGELOG] = 'autogenerated changelog'
          pilot
        end").runner.execute(:test)

        expect(values[:changelog]).to eq('autogenerated changelog')
      end

      it "prefers an explicitly specified changelog value" do
        values = Fastlane::FastFile.new.parse("lane :test do
          # changelog_from_git_commits sets this lane context variable
          Actions.lane_context[SharedValues::FL_CHANGELOG] = 'autogenerated changelog'
          pilot(changelog: 'custom changelog')
        end").runner.execute(:test)

        expect(values[:changelog]).to eq('custom changelog')
      end
    end
  end
end
